[package]
name = "spiral-spir"
version = "0.1.0"
authors = ["Ian Goldberg <iang@uwaterloo.ca>"]
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
aes = "0.8"
# curve25519-dalek needs this older version of rand
rand07 = { package = "rand", version = "0.7" }
# but Spiral needs this newer version
rand = "0.8"
curve25519-dalek = { package = "curve25519-dalek-ng", version = "3", default-features = false, features = ["serde", "std"] }
lazy_static = "1"
sha2 = "0.9"
subtle = { package = "subtle-ng", version = "2.4" }
spiral-rs = { git = "https://github.com/menonsamir/spiral-rs/", rev = "176e396d" }
rayon = "1.5"
bincode = "1"
serde = "1"
serde_with = "2"
rand_chacha = "0.3"

[lib]
crate_type = ["lib", "staticlib"]
path = "src/lib.rs"

[[bin]]
name = "spiral-spir"
path = "src/main.rs"

[features]
default = ["u64_backend"]
u32_backend = ["curve25519-dalek/u32_backend"]
u64_backend = ["curve25519-dalek/u64_backend"]
simd_backend = ["curve25519-dalek/simd_backend"]
